/**
   Bojan Nikolic <b.nikolic@mrao.cam.ac.uk>, <bojan@bnikolic.co.uk>
   Initial version April 2011. 
   
   This file is part of LibAIR and is licensed under GNU Public
   License Version 2
   
   \file hdferrors.hpp

   An exception hirerachy for errors dealing with HDF5

*/
#ifndef _LIBAIR_HDFWVR_HDFERRORS_HPP__
#define _LIBAIR_HDFWVR_HDFERRORS_HPP__

#include <stdexcept>

namespace hd5 {

  class HDF5Error:
    public std::runtime_error
  {

  public:
    HDF5Error(const std::string &fname,
	      const std::string &msg):
      std::runtime_error(fname+":"+msg)
    {
    }
  };

}

#endif
