/**
   Bojan Nikolic <b.nikolic@mrao.cam.ac.uk>, <bojan@bnikolic.co.uk>
   Initial version November 2010. 
   
   This file is part of LibAIR and is licensed under GNU Public
   License Version 2
   
   \file resoutput.hpp

   Writing of results to HDF5 format files. This file should not
   include hd5 headers, only present a public interface. 
*/
#ifndef _LIBAIR_HD5_RESOUTPUT_HPP__
#define _LIBAIR_HD5_RESOUTPUT_HPP__

#include <string>

namespace LibAIR {

  // Forward declarations
  class ArrayGains;

  /** \brief Write computed antenna paths to an HDF5 file
   */
  void writeAntPath(const ArrayGains& g,
		    const std::string &fnameout);


}

#endif
