/**
   Bojan Nikolic <b.nikolic@mrao.cam.ac.uk>, <bojan@bnikolic.co.uk>
   Initial version November 2009

*/

#define BOOST_AUTO_TEST_MAIN

#include <boost/test/unit_test.hpp>
#include <boost/test/auto_unit_test.hpp>
#include <boost/test/floating_point_comparison.hpp>

#include <iostream>

#include <boost/assign/list_of.hpp>

#include "apps/almaabs_i.hpp"
#include "radiometermeasure.hpp"

BOOST_AUTO_TEST_CASE(basic_almabs_i)
{
  using namespace LibAIR;

  ALMAWVRCharacter WVRChar;
  std::vector<double> scratch(4, 100.0);
  
  iALMAAbsRet i(scratch,
		1.5,
		WVRChar);

  //i.sample();
  //BOOST_CHECK(i.evidence < 1e-50);

  //Real temperatures observed 2009-10-04:21h:17m
  std::vector<double>TObs=boost::assign::list_of
    (280.457)(228.251)
    (150.674)(111.533);

  iALMAAbsRet i2(TObs,
		 1.5,
		 WVRChar);

  i2.sample();

  BOOST_CHECK_CLOSE(1.263e-14, 
		    i2.evidence,
		    1);

  ALMAResBase r;
  i2.g_Pars(r);
  i2.g_Coeffs(r);
  
  std::cout<<r;

  
  BOOST_CHECK_CLOSE(r.c,
		    5.318,
		    0.1);
  
}


