/**
   Bojan Nikolic <b.nikolic@mrao.cam.ac.uk>, <bojan@bnikolic.co.uk>
   Initial version October 2011

   Tests of the C-language bindings
*/

#include "almaabs_c.h"
#include "stdio.h"

int main(void)
{
  ALMAAbsInput i;
  ALMARes_Basic o;
  
  i.antno=0;

  // These are the four WVR temperatures, innermost channel to
  // outermost channel. (This samle data are for a very dry
  // observation!)
  i.TObs[0]=66.4498;
  i.TObs[1]=27.155493;
  i.TObs[2]=16.590113;
  i.TObs[3]=13.956329;
  i.el=3.14/2;
  // These fields are not used at the moment
  i.time=0;
  i.state=0;
  i.source=0;

  almaabs_ret(&i, 1, &o);

  printf("Phase correction coefficient: %f, %f, %f, %f \n", o.dTdL[0], o.dTdL[1], o.dTdL[2], o.dTdL[3]);
  

}


